
stages:
  - build

windows:
  stage: build

  only:
  - schedules
  
  variables:
    GIT_SUBMODULE_STRATEGY: recursive

  tags:
    - shared-windows
    - windows
    - windows-1809

  before_script:
    - choco install python --version=3.10.2 -y -f
    - choco install cmake --installargs 'ADD_CMAKE_TO_PATH=System' -y -f
    - $env:Path += ';C:\Program Files\CMake\bin'


  script:
    - C:\Python310\python.exe -m pip install --upgrade pip
    - C:\Python310\python.exe -m pip install Cython
    - mkdir C:\\GitLab-Runner\\builds\\skarnproject\\blender-wow-studio\\dist
    - C:\Python310\python.exe io_scene_wmo/build.py --dist=C:\\GitLab-Runner\\builds\\skarnproject\\blender-wow-studio\\dist

  artifacts:
    name: "$CI_JOB_NAME-$CI_COMMIT_REF_NAME"
    paths:
      - C:\\GitLab-Runner\\builds\\skarnproject\\blender-wow-studio\\dist